Ubuntu

“emacs23” 23.3+1-1ubuntu1 source package in The Oneiric Ocelot

Publishing history

23.3+1-1ubuntu1
SUPERSEDED: Oneiric pocket Release in component main and section editors
  • Removed from disk on 2011-08-14.
  • Removal requested on 2011-08-14.
  • Superseded on 2011-08-13 by emacs23 - 23.3+1-1ubuntu2
  • Published on 2011-05-28

Builds

Changelog

emacs23 (23.3+1-1ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable; remaining changes:
    - debian/patches/no_cpp_multiarch_dir_mangling.diff: make sure cpp
      doesn't mangle our multiarch include path due to a built-in macro
      matching the architecture name.
    - debian/control.in:
      - Conflict and Replace emacs23-common-non-dfsg, since we provide
        all of its features.
      - Do not suggest emacs23-common-non-dfsg.
      - Replace use of Source-Version with source:Version.
    - debian/copyright.in:
      - Remove text about removed files.
    - debian/emacsVER-common.{postinst,prerm}: Don't install info files to
      info/dir.  This happens automatically now.
    - debian/patches:
      - -Remove-files-that-appear-to-be-incompatible-with-the.patch: Remove.
      - ubuntu-restore-nondfsg-files.diff: New patch that reintroduces
        the non-DFSG files, with the exception of .elc files and info
        files, which use special characters and thus can't be easily
        represented in patch form.  These will be regenerated at build
        time.
    - debian/rules:
      - Do not install replacements for non-DFSG files.
      - Install all info files, not just efaq.
      - Avoid uselessly building info files a 2nd time.
  * Dropped changes:
    - debian/patches/fix-ftbfs-xft-fontconfig.diff: merged in Debian.
    - debian/patches/fix-menus.diff: present upstream.
    - Require autotools-dev (>= 20100122.1) in Build-Depends: don't use
      versioned build-depends to work around buggy versions.
    - debian/patches/fix-decimal-point-in-font-size.diff: no documentation in
      the changelog for this change, from an upstream bug report but not
      upstreamed.
  * debian/patches/no_cpp_multiarch_dir_mangling.diff: only include i386
    here; if the toolchain triplet matches the multiarch path, this is
    already handled in configure.in.

emacs23 (23.3+1-1) unstable; urgency=low

  * Incorporate new upstream version 23.3.

  * Don't clear FONTCONFIG_LIBS and FONTCONFIG_CFLAGS in configure.
    Thanks to Peter Fritzsche <email address hidden> for the report
    and Matthias Klose <email address hidden> for the patch.
    (closes: #554324)

  * Adjust emacsVER-common.README to accommodate new patch headers.
    Add debian/patch-to-news to handle converting new git-dpm style
    patch headers to emacsVER-common.README.

  * Rely on autotools-dev for config.guess and config.sub.

  * Fix a tty-related preprocessor inclusion error affecting GNU/Hurd
    systems.  Thanks to Samuel Thibault <email address hidden> for the
    report and the patch. (closes: #610576)

  * Expect 0 from kill() for zombies on GNU/Hurd.  This should prevent
    Emacs from hanging on affected systems.  Thanks to Samuel Thibault
    <email address hidden> for the report and the patch.
    (closes: #611591)

  * Remove debian/dfsg-splitter since the split is now being handled
    directly in git.
 -- Steve Langasek <email address hidden>   Sat, 28 May 2011 05:57:27 +0000